<!-- PANEL ADMINISTRATIVO -->	
<!-- <script>   
 function imprSelec(historial){
  var ficha=document.getElementById(historial);
  var ventimp=window.open(' ','popimpr');
  ventimp.document.write(ficha.innerHTML);
  ventimp.document.close();
  ventimp.print();
  ventimp.close();
}
</script> -->
        <script src="js/jquery.min.js"></script>  
           <script src="js/bootstrap.min_busqueda.js"></script> 	
<div class="contentpanel">
<div class="row row-stat">
	<div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <div class="panel-btns">
                    <a href="#" class="panel-minimize tooltips" data-toggle="tooltip" title="Minimize Panel"><i class="fa fa-minus"></i></a>
                    <a href="#" class="panel-close tooltips" data-toggle="tooltip" title="Close Panel"><i class="fa fa-times"></i></a>
                </div>
                <h4 class="panel-title"><?php echo $ver_cpanel_sub_menu['titulo']; ?></h4>
                <p><?php echo $ver_cpanel_sub_menu['descripcion']; ?>.</p>
            </div>
            <div class="panel-body nopadding">

				<div class="col-md-12">
				

                    <div class="table-responsive"><br>
						<!--BOTONES DE EXPORTACION-->

						<!--BOTONES DE EXPORTACION-->	
					
  <div id="historial">
	<div class="contentpanel">
	<p>VENDEDORES</p>
 <table class="table table-striped table-bordered responsive">
                                <thead class="">
                                    <tr>
                                        <th>COD</th>
                                        <th>ZONA</th>
                                        <th>CEDULA</th>
                                        <th>VENDEDOR</th>
                                        <th>TELEFONO</th>
                                        <th>DIRECCION</th>
                                        <th>CLIENTES</th>
                                        <th>SALDO</th>
                                    </tr>
                                </thead>
								
                                <tbody>
								<?php
									$consultar_sql_ver=mysql_query("select * from  tabla_vendedores where eliminar='0' ORDER BY id DESC ",$link);
									while($ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver)){
										$id_control_edit=$ver_consultar_sql_ver['id']; 
										$cod_zona=$ver_consultar_sql_ver['cod_zona']; 
										
									$consultar_sql_ver2X=mysql_query("select * from  tabla_zona_cliente where eliminar='0' and id='".$cod_zona."' ",$link);
									$ver_consultar_sql_ver2X=mysql_fetch_array($consultar_sql_ver2X);
										
									$cod_vendedor=$id_control_edit;	
									$contar_clientes_vendedor=mysql_query("select * from tabla_vendedores_clientes where eliminar='0' and estatus='1' and cod_vendedor='".$cod_vendedor."' ",$link);
									$contar_clientes=mysql_num_rows($contar_clientes_vendedor);		

									$contar_clientes_vendedorx1=mysql_query("select * from tabla_vendedores_clientes where eliminar='0' and estatus='1' ",$link);
									$contar_clientesx1=mysql_num_rows($contar_clientes_vendedorx1);	

										
									$deuda_consultar_sql_cliente=mysql_query("select SUM(saldo_mas),SUM(sado_menos),cod_vendedor,eliminar from tabla_vendedores_clientes where cod_vendedor='$cod_vendedor' and eliminar='0' ",$link);
									$deuda_ver_consultar_sql_cliente=mysql_fetch_array($deuda_consultar_sql_cliente);		

									$deuda_consultar_sql_clientex=mysql_query("select SUM(saldo_mas),SUM(sado_menos),cod_vendedor,eliminar from tabla_vendedores_clientes where eliminar='0' ",$link);
									$deuda_ver_consultar_sql_clientex=mysql_fetch_array($deuda_consultar_sql_clientex);										
									
									$saldo_total=$deuda_ver_consultar_sql_cliente['SUM(saldo_mas)']-$deuda_ver_consultar_sql_cliente['SUM(sado_menos)'];		
	

	$saldo_negativo_positivo=$deuda_ver_consultar_sql_cliente['SUM(sado_menos)']*-1;	
	$saldo_totalXZ=$deuda_ver_consultar_sql_cliente['SUM(saldo_mas)']-$saldo_negativo_positivo;		
										
									if($_GET['proceso']=='C0N5ULT4R' and $_GET['token']=="$id_control_edit"){ ?>
										<form action="<?php echo $url_global.'&proceso=3DIT4R&token='.$id_control_edit; ?>" method="POST" class="form-bordered" name='formulario'>
						
									
									<?php } ?>
                        

						<tr>
									    <td>
											<?php
									
													echo $ver_consultar_sql_ver['id'];
													
											 ?>
										</td>		
										<td>
											<?php
									
													echo $ver_consultar_sql_ver2X['nombre_zona'];
													echo '<input name="cod_zona" value="'.$ver_consultar_sql_ver2X['id'].'" class="form-control" type="hidden"  required="required" />';

													
											 ?>
										</td>
                                        <td>
											<?php
												if($_GET['proceso']=='C0N5ULT4R' and $_GET['token']=="$id_control_edit"){
													echo '<input name="cedula" value="'.$ver_consultar_sql_ver['cedula'].'" class="form-control" type="text"  required="required" />';
												} else {
													echo $ver_consultar_sql_ver['cedula'];
												}	
											 ?>
										</td>
										<td>
											<?php
												if($_GET['proceso']=='C0N5ULT4R' and $_GET['token']=="$id_control_edit"){
													echo '<input name="nombre_apellido" value="'.$ver_consultar_sql_ver['nombre_apellido'].'" class="form-control" type="text"  required="required" />';
												} else {
													echo $ver_consultar_sql_ver['nombre_apellido'];
												}	
											 ?>
										</td>
										<td>
											<?php
												if($_GET['proceso']=='C0N5ULT4R' and $_GET['token']=="$id_control_edit"){
													echo '<input name="telefono"  value="'.$ver_consultar_sql_ver['telefono'].'" class="form-control" type="text"  required="required" />';
												} else {
													echo $ver_consultar_sql_ver['telefono'];
												}	
											 ?>
										</td>	
										<td>
											<?php
												if($_GET['proceso']=='C0N5ULT4R' and $_GET['token']=="$id_control_edit"){
													echo '<input name="direccion"  value="'.$ver_consultar_sql_ver['direccion'].'" class="form-control" type="text"  required="required" />';
												} else {
													echo $ver_consultar_sql_ver['direccion'];
												}	
											 ?>
										</td>	
										<td>
											<?php echo $contar_clientes;  ?>
										</td>		
										<td style="text-align: right;" ><?php echo number_format($saldo_totalXZ, 2, ',','.'); ?></td>																				
																			

                                    </tr> 
									<?php if($_GET['proceso']=='C0N5ULT4R' and $_GET['token']=="$id_control_edit"){ ?>
										</form>
									<?php } ?>									
									<?php }  ?>
									<tr >
										<td></td>
										<td></td>
										<td></td>
										<td></td>
										<td></td>
										<td style="background-color: #F0F0F0;"><b>SALDO:</b></td>
										<td style="background-color: #F0F0F0;"><b><?php echo $contar_clientesx1; ?></b></td>
										<td style="background-color: #F0F0F0; text-align: right; "><b><?php echo  number_format($deuda_ver_consultar_sql_clientex['SUM(sado_menos)'], 2, ',','.'); ?></b></td>
									</tr>
                                </tbody>
                            </table>                       
                      <!-- row -->
					  
		<div class="input-group mb15 has-warning">
                            <span class="input-group-addon"><b>BUSCAR</b></span>
                            <input type="text" autofocus="autofocus" placeholder="Buscar clientes" id="search" class="form-control" />
                        </div>															
					
							<table id="employee_table" class="table table-striped table-bordered responsive" border='1'>
                                <thead class="">
                                    <tr>
                                        <th>RIF</th>
                                        <th style="width:30%">NOMBRE DEL CLIENTE</th>
                                        <th>VENDEDOR</th>
                                        <th>FACTURA</th>
                                        <th>FECHA</th>
                                        <th>MORA</th>
										<th>SALDO</th>
                                       <th></th>
                                    </tr>
                                </thead>
								
                                <tbody>
								<?php
								
								$consultar_sql_cliente=mysql_query("select * from  tabla_clintes_xls ORDER BY dias_mora DESC",$link);
								while($ver_consultar_sql_cliente=mysql_fetch_array($consultar_sql_cliente)){
								$id_cliente=$ver_consultar_sql_cliente['id'];
								
								$saldo_clientex1=mysql_query("select * from  tabla_saldos_clientes_xls where cod_cliente='".$id_cliente."' ",$link);
								$ver_saldo_clientex1=mysql_fetch_array($saldo_clientex1);
								$codigo_cliente=$ver_saldo_clientex1['cod_cliente'];
									

								
							
									$consultar_sql_ver_sumax234x=mysql_query("select SUM(monto_dolar),eliminar,fecha_registro,id,cod_cliente from  tabla_anticipo_xls where eliminar='0' and cod_cliente='$id_cliente' ",$link);
									$ver_consultar_sql_ver_sumax224x=mysql_fetch_array($consultar_sql_ver_sumax234x);
									
									$consultar_sql_ver_sumax3x=mysql_query("select SUM(monto_dolares),eliminar,fecha_factura,id,cod_cliente from  tabla_factura_xls	 where eliminar='0' and  cod_cliente='$id_cliente'  ",$link);
									$ver_consultar_sql_ver_sumax3x=mysql_fetch_array($consultar_sql_ver_sumax3x);
									
									$monto_dolar_anticipo=$ver_consultar_sql_ver_sumax224x['SUM(monto_dolar)'];
									$monto_dolar_factura=$ver_consultar_sql_ver_sumax3x['SUM(monto_dolares)'];
									$saldo_cliente=$ver_saldo_clientex1['saldo_inicial']*(-1);
									
									$total_deuda=$monto_dolar_factura+$saldo_cliente;
									$salodo_total_x1=$monto_dolar_anticipo-$total_deuda;
									
									if($salodo_total_x1<0){
										
													$fact_cliente=mysql_query("select * from  tabla_factura_xls where eliminar='0' and cod_cliente='$id_cliente' and tipo_documento='0' ORDER BY id DESC",$link);
													$ver_fact_cliente=mysql_fetch_array($fact_cliente);
												$n_factura=$ver_fact_cliente['n_factura'];
												$fecha_factura=$ver_fact_cliente['fecha_factura'];
											//	echo $fecha_factura.'   /   ';
								if($fecha_factura==''){
									$fecha_factura='2024-08-08';
								}
								$fecha1=  strtotime("$fecha_factura");
								$fecha2=  strtotime("$fecha_actualxls");
								$segundos_diferencia=$fecha1-$fecha2;
								$dias_diferencia = $segundos_diferencia / (60 * 60 * 24);
									//obtengo el valor absoulto de los días (quito el posible signo negativo)
									$dias_diferencia = abs($dias_diferencia);
									//quito los decimales a los días de diferencia
									$dias_diferencia = floor($dias_diferencia);
								//	echo "Dias trancurrido"$dias_diferencia; 
								
								mysql_query("update tabla_clintes_xls set dias_mora='".$dias_diferencia."'  where id='".$id_cliente."' ",$link);

								$vendedores_clientes=mysql_query("select * from  tabla_vendedores_clientes where cod_cliente='".$id_cliente."' and eliminar='0' ",$link);
								$ver_vendedores_clientes=mysql_fetch_array($vendedores_clientes);
								
								$cod_vendedor=$ver_vendedores_clientes['cod_vendedor'];
								
								
								
								$vendedores_x1=mysql_query("select * from  tabla_vendedores where id='".$cod_vendedor."' and eliminar='0' ",$link);
								$ver_vendedores_x1=mysql_fetch_array($vendedores_x1);
								 ?>
                                    <tr>
                                        <td><?php echo $ver_consultar_sql_cliente['rif']; ?></td>
                                        <td style="width:30%"><?php echo $ver_consultar_sql_cliente['descripcion']; ?></td>
                                        <td><?php if($ver_vendedores_x1['nombre_apellido']==''){ echo 'MATADERO'; } else { echo $ver_vendedores_x1['nombre_apellido']; } ?></td>
										<td><?php echo $n_factura; ?></td>
										<td><?php echo $fecha_factura;?></td>
										<td><?php echo $dias_diferencia; ?> Dias </td>
										<td style="text-align: right;"><?php echo number_format($salodo_total_x1, 2, ',','.');  ?></td>
										<td><a href='cpanel.php?control_menu=report-estadisticas&condicion=detalles_clientes_cxc&cod_cliente=<?php echo $id_cliente; ?>' class='btn-primary btn-sm'><i class="fa  fa-plus-square"></i></a></td>
                                    </tr> 
									<?php }  ?>
									<?php }  ?>
                                </tbody>
                            </table>					
						
					<script>  
								  $(document).ready(function(){  
									   $('#search').keyup(function(){  
											search_table($(this).val());  
									   });  
									   function search_table(value){  
											$('#employee_table tr').each(function(){  
												 var found = 'false';  
												 $(this).each(function(){  
													  if($(this).text().toLowerCase().indexOf(value.toLowerCase()) >= 0)  
													  {  
														   found = 'true';  
													  }  
												 });  
												 if(found == 'true')  
												 {  
													  $(this).show();  
												 }  
												 else  
												 {  
													  $(this).hide();  
												 }  
											});  
									   }  
								  });  
							 </script>	
						
                </div>								
            </div>
				<!--<a href="javascript:imprSelec('historial')">Imprimir</a>	-->		
            </div>
			<!--<a href="javascript:imprSelec('historial')">Imprimir</a>-->
        </div>
        </div><!-- CARGAR IMPRIMIR-->
	</div>
</div>
</div>
</div>